Gtk::StockItem Class Reference

## Public Member Functions

| StockItem ()
| Constructs an invalid object. More...
| StockItem (GtkStockItem* castitem, bool make_a_copy=false)
| StockItem (const StockItem& src)
StockItem& | operator= (const StockItem& src)
| StockItem (StockItem&& other) noexcept
StockItem& | operator= (StockItem&& other) noexcept
| ~StockItem () noexcept
void | swap (StockItem& other) noexcept
GtkStockItem* | gobj ()
const GtkStockItem* | gobj () const
GtkStockItem* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...
| StockItem (const Gtk::StockID& stock_id, const Glib::ustring& label, Gdk::ModifierType modifier=Gdk::ModifierType(0), unsigned int keyval=0, const Glib::ustring& translation_domain=Glib::ustring())
StockID | get_stock_id () const
Glib::ustring | get_label () const
Gdk::ModifierType | get_modifier () const
guint | get_keyval () const
Glib::ustring | get_translation_domain () const

## Static Public Member Functions

static bool | lookup (const Gtk::StockID& stock_id, Gtk::StockItem& item)

## Protected Attributes

GtkStockItem* | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (StockItem& lhs, StockItem& rhs) noexcept
Gtk::StockItem | wrap (GtkStockItem* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

Gtk::StockItem::StockItem | ( |  | ) |

Constructs an invalid object.

E.g. for output arguments to methods. There is not much you can do with the object before it has been assigned a valid value.

Gtk::StockItem::StockItem | ( | GtkStockItem * | castitem,
|  | bool | make_a_copy = `false`
| ) |  |

explicit

Gtk::StockItem::StockItem | ( | const StockItem& | src | ) |

Gtk::StockItem::StockItem | ( | StockItem&& | other | ) |

noexcept

Gtk::StockItem::~StockItem | ( |  | ) |

noexcept

Gtk::StockItem::StockItem | ( | const Gtk::StockID& | stock_id,
|  | const Glib::ustring & | label,
|  | Gdk::ModifierType | modifier = `Gdk::ModifierType(0)`,
|  | unsigned int | keyval = `0`,
|  | const Glib::ustring & | translation_domain = `Glib::ustring()`
| ) |  |

## Member Function Documentation

guint Gtk::StockItem::get_keyval | ( |  | ) | const

Glib::ustring Gtk::StockItem::get_label | ( |  | ) | const

Gdk::ModifierType Gtk::StockItem::get_modifier | ( |  | ) | const

StockID Gtk::StockItem::get_stock_id | ( |  | ) | const

Glib::ustring Gtk::StockItem::get_translation_domain | ( |  | ) | const

GtkStockItem* Gtk::StockItem::gobj | ( |  | ) |

inline

const GtkStockItem* Gtk::StockItem::gobj | ( |  | ) | const

inline

GtkStockItem* Gtk::StockItem::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

static bool Gtk::StockItem::lookup | ( | const Gtk::StockID& | stock_id,
|  | Gtk::StockItem& | item
| ) |  |

static

StockItem& Gtk::StockItem::operator= | ( | const StockItem& | src | ) |

StockItem& Gtk::StockItem::operator= | ( | StockItem&& | other | ) |

noexcept

void Gtk::StockItem::swap | ( | StockItem& | other | ) |

noexcept

## Friends And Related Function Documentation

void swap | ( | StockItem& | lhs,
|  | StockItem& | rhs
| ) |  |

related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

Gtk::StockItem wrap | ( | GtkStockItem * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

GtkStockItem* Gtk::StockItem::gobject_

protected

The documentation for this class was generated from the following file:

- gtkmm/stockitem.h